khronos-opencl-headers (3.0~2021.06.30-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Aug 2021 23:34:51 +0200

khronos-opencl-headers (3.0~2020.12.18-1) unstable; urgency=medium

  * New upstream release.
  * Use upstream's new cmake build system.
  * Update watch file to match upstream tags.
  * Bump Standards-Version to 4.5.1 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 04 Jan 2021 18:58:16 +0100

khronos-opencl-headers (3.0~2020.10.14-g9fac4e9-1) unstable; urgency=medium

  * New upstream snapshot.
    (2020-10-14, commit 9fac4e9866a961f66bdd72fa2bff50145512f972)
  * Simplify snapshot generation.
  * Refresh patches.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 15 Nov 2020 23:16:06 +0100

khronos-opencl-headers (3.0~2020.05.12-g5cc337c-1) unstable; urgency=medium

  * New upstream snapshot.
    (2020-05-12, commit 5cc337c890dab1c996cc97b617c578d37a7247bf)
  * Khronos relicensed the headers under Apache-2.0.
  * Relicense the packaging under Apache-2.0, too.
  * Refresh patch.
  * Run upstream testsuite.
  * Extend our testsuite to 3.0.
  * Switch to debhelper-compat (= 13).
  * Bump Standards-Version to 4.5.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 May 2020 19:39:43 +0200

khronos-opencl-headers (2.2~2019.08.06-g0d5f18c-1) unstable; urgency=medium

  * New upstream snapshot.
    (2019-08-06, commit 0d5f18c6e7196863bc1557a693f1509adfcee056)
  * Bump Standards-Version to 4.4.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 23 Sep 2019 02:21:39 +0200

khronos-opencl-headers (2.2~2019.01.17-g49f07d3-1) unstable; urgency=medium

  * New upstream snapshot.  (Closes: #917134)
    (2019-01-17, commit 49f07d313344ddb22701847ea5c18cb7db03b0d7)
  * Remove use__vector.patch, applied upstream.
  * Switch to debhelper-compat (= 12).
  * Bump Standards-Version to 4.3.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 04 Feb 2019 03:22:33 +0100

khronos-opencl-headers (2.2~2018.10.31-g03490c3-1) unstable; urgency=medium

  * New upstream snapshot.
    (2018-10-31, commit 03490c3f8cb3b8667942b084a3151de20649f57a)
  * Refresh patches.
  * Switch to debhelper-compat (= 11).
  * Bump Standards-Version to 4.2.1 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Dec 2018 04:14:08 +0100

khronos-opencl-headers (2.2~2018.05.14-gde26592-1) unstable; urgency=medium

  * New upstream snapshot.
    (2018-05-14, commit de26592167b9fdea503885e40e8755393c56523d)
    + Unified headers for all OpenCL versions.
  * d/rules: Adjust "tarball" target for reorganized upstream repository.
  * d/t: Test compilation with all allowed CL_TARGET_OPENCL_VERSION values.
  * Bump Standards-Version to 4.1.5 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Fri, 06 Jul 2018 00:51:27 +0200

khronos-opencl-headers (2.2~2018.02.21-gb5c3680-1) unstable; urgency=medium

  * New upstream snapshot.
    (2018-02-21, commit b5c3680df1e577f002156d64bac3081ddb40ff1e)
    + OpenCL 2.2 support.
  * Set Rules-Requires-Root: no.
  * Switch Vcs-* URLs to salsa.debian.org.
  * Add debian/upstream/metadata.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 23 Feb 2018 21:19:10 +0100

khronos-opencl-headers (2.1-2017.07.18-gf039db6-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream snapshot.
    (2017-07-18, commit f039db6764d52388658ef15c30b2237bbda49803)
  * d/rules: Add "tarball" target to generate upstream snapshot tarballs from
    the upstream git repository.
  * Set Priority to optional.
  * Bump Standards-Version to 4.1.3.
  * Use https:// URLs.
  * Switch to debhelper compat level 11.

  [ Russ Allbery ]
  * Remove myself from Uploaders.  (Closes: #872768)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 12 Jan 2018 22:18:22 +0100

khronos-opencl-headers (2.1-1) unstable; urgency=medium

  * New upstream release (without tarball nor git tag :-( )
    (2016-06-14, commit 8e196ba99632fc43998cf17cce87282c250d9177)
    + OpenCL 2.1 support  (Closes: #833412)
    + no C++ headers anymore, moved to another separate project
      (Closes: #829748, #829747)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 09 Sep 2016 00:05:33 +0200

khronos-opencl-headers (2.0~svn32091-2) unstable; urgency=medium

  * remove EGL includes (backport upstream patch) (Closes: #809263)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 11 Feb 2016 11:35:05 +0100

khronos-opencl-headers (2.0~svn32091-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream snapshot (2015-10-07).

  [ James Price ]
  * Fix macro definitions in cl2.hpp tests
  * Patch to fix symbol clash when cl2.hpp included from multiple files

 -- Andreas Beckmann <anbe@debian.org>  Tue, 27 Oct 2015 00:16:54 +0100

khronos-opencl-headers (2.0~svn31815-2) unstable; urgency=medium

  * Actually ship cl2.hpp.  (Closes: #795778)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 23 Sep 2015 00:10:49 +0200

khronos-opencl-headers (2.0~svn31815-1) unstable; urgency=medium

  * New upstream snapshot (2015-08-10).
    - Includes cl2.hpp.  (Closes: #795778)
  * Convert packaging repository from SVN to GIT.
  * Improve portability of header compile tests.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 21 Sep 2015 15:01:31 +0200

khronos-opencl-headers (2.0~svn28973-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Apr 2015 17:42:50 +0200

khronos-opencl-headers (2.0~svn28973-1) experimental; urgency=medium

  * New upstream snapshot (2014-11-18).

 -- Andreas Beckmann <anbe@debian.org>  Sun, 11 Jan 2015 22:31:54 +0100

khronos-opencl-headers (2.0~svn26078-1) experimental; urgency=medium

  * New upstream snapshot (2014-03-25).
    - OpenCL API 2.0.  (Closes: #762943)
    - cl.hpp is gone.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 20 Oct 2014 17:32:20 +0200

khronos-opencl-headers (1.2-svn26009-1) unstable; urgency=medium

  * New upstream snapshot (2014-03-19).
    - Includes cl_egl.h.
  * Switch get-orig-source target to download from SVN.  (Closes: #718658)
  * Bump Standards-Version to 3.9.6 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 20 Oct 2014 17:04:48 +0200

khronos-opencl-headers (1.2-2014.04.13-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Use __vector instead of vector in cl_platform.h to allow building
    with -maltivec. Closes: #760310

 -- Andreas Barth <aba@ayous.org>  Fri, 12 Sep 2014 19:52:42 +0000

khronos-opencl-headers (1.2-2014.04.13-1) unstable; urgency=medium

  * New upstream release.
  * Refresh fuzzy AMD_extensions.patch.
  * Add lintian override for debian-watch-may-check-gpg-signature.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 May 2014 11:09:31 +0200

khronos-opencl-headers (1.2-2013.10.23-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Nov 2013 00:44:48 +0100

khronos-opencl-headers (1.2-2013.06.28-2) unstable; urgency=low

  * opencl-headers: Set Multi-Arch: foreign.
  * Set Maintainer to 'Debian OpenCL Maintainers <pkg-opencl-devel@l.a.d.o>'.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Jul 2013 00:25:51 +0200

khronos-opencl-headers (1.2-2013.06.28-1) unstable; urgency=low

  * New upstream release.
  * AMD_extensions.patch: Rediffed.
  * Drop Breaks/Replaces against squeeze packages.
  * Use canonical Vcs-* URLs.
  * Switch to debhelper 9.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 14 Jul 2013 15:28:57 +0200

khronos-opencl-headers (1.2-2013.02.12-1) unstable; urgency=low

  * New upstream release.
  * CL_EXT_SUFFIX__VERSION_1_2.diff: Drop, fixed upstream.
  * clSetPrintfCallback.patch: Drop, no longer needed.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Update my email address and drop DMUA.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 28 Apr 2013 01:11:59 +0200

khronos-opencl-headers (1.2-2012.11.30-2ubuntu1) raring; urgency=low

  * Build with -msse2 -msse. The package builds header files only, so don't
    care about the flags which are needed to include the intrinsics headers.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Apr 2013 12:17:51 +0200

khronos-opencl-headers (1.2-2012.11.30-2) unstable; urgency=low

  * opencl-headers: Set Multi-Arch: allowed.  (Closes: #698495)

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 19 Jan 2013 13:05:07 +0100

khronos-opencl-headers (1.2-2012.11.30-1) unstable; urgency=low

  * New upstream release.  (Closes: #695124, #684444) (LP: #1071239)
  * Run some trivial compile tests during package build.
  * CL_EXT_SUFFIX__VERSION_1_2.diff: New, fix typo in macro name.
  * clSetPrintfCallback.patch: New, add missing declaration.
  * AMD_extensions.patch: New, add a few extensions from AMD that are not yet
    in the headers published by khronos. Thanks Vincent Danjean!
    (Closes: #695136)

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 07 Dec 2012 10:42:50 +0100

khronos-opencl-headers (1.2-2012.04.18a-1) unstable; urgency=low

  * Use cl.hpp from API 1.2.  (Closes: #676427)
  * Remove reference to API 1.0 from long Description.  (Closes: #675486)

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 08 Jun 2012 05:36:06 +0200

khronos-opencl-headers (1.2-2012.04.18-2) unstable; urgency=low

  * Move from contrib to main.  There is a free version of libopencl1 (from
    http://forge.imag.fr/projects/ocl-icd/) coming, see #675528.

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 02 Jun 2012 20:11:28 +0200

khronos-opencl-headers (1.2-2012.04.18-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * debian/copyright: Use the final copyright-format 1.0 URL.
  * Update Standards-Version to 3.9.3, no changes needed.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 09 May 2012 13:40:54 +0200

khronos-opencl-headers (1.2-2011.11.16-1) experimental; urgency=low

  [ Andreas Beckmann ]
  * OpenCL API 1.2.
  * debian/copyright: Update to dep5.mdwn?revision=202.
  * Upload to experimental.

  [ Russ Allbery ]
  * Add DM-Upload-Allowed: yes.

 -- Russ Allbery <rra@debian.org>  Mon, 23 Jan 2012 11:11:54 -0800

khronos-opencl-headers (1.1-2010.07.15-2) unstable; urgency=low

  * Upload to unstable.
  * Set Maintainer to Debian NVIDIA Maintainers and move myself to Uploaders.

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 25 Jun 2011 18:24:31 +0200

khronos-opencl-headers (1.1-2010.07.15-1) experimental; urgency=low

  * OpenCL API 1.1
  * Upload to experimental.
  * Update Standards-Version to 3.9.2, no changes needed.

 -- Andreas Beckmann <debian@abeckmann.de>  Sun, 15 May 2011 18:08:12 -0700

khronos-opencl-headers (1.0-2010.06.13-2) unstable; urgency=low

  [ Russ Allbery ]
  * Upload to unstable.
  * Add myself to Uploaders.

  [ Andreas Beckmann ]
  * Fix typo in debian/watch and add version=3.

 -- Russ Allbery <rra@debian.org>  Tue, 26 Apr 2011 17:11:42 -0700

khronos-opencl-headers (1.0-2010.06.13-1) experimental; urgency=low

  * Initial release.  (Closes: #598477)
  * Upload to experimental.

 -- Andreas Beckmann <debian@abeckmann.de>  Mon, 11 Oct 2010 01:01:53 +0200
